### Method

# AppStreamCompose Compose reset

since: 0.14.5

#### Declaration [src]

    void
    asc_compose_reset (
      AscCompose* compose
    )

#### Description [src]

Drop the results, the registered units and the allowed component-ID list of the last run, so the instance can be reused for another metadata generation run. Everything else - flags, result directories, icon policy, media instance, locale unit, allowed custom keys and the callbacks - is retained.

Available since: 0.14.5